<?php $url_comunicaciones=URL_SITIO.'comunicaciones/'; ?>
<div id="ppc">
    <ul>
        <?php if(in_array('a1', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) { ?>
        <li><a href="<?=$url_comunicaciones; ?>" title="Indicativo de tiempo desde la última vez que cada local reportó tener conexión de internet" <?php if(!$estado || $estado=='conexion') echo 'class="lk-p"'; ?> >CONEXIÓN</a></li>
        <?php } if(in_array('a2', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) { ?>
        <li><a href="<?=$url_comunicaciones; ?>paquetes" title="Indicativo de tiempo desde la última vez que cada local envió un paquete al H.O." <?php if($estado=='paquetes') echo 'class="lk-p"'; ?>>PAQUETES</a></li>
        <?php } if(in_array('a3', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) { ?>
        <li><a href="<?=$url_comunicaciones; ?>pendientes" title="Indicativo de la cantidad de paquetes en cada local recibidos en el H.O. y que aún no han sido procesados" <?php if($estado=='pendientes') echo 'class="lk-p"'; ?>>PENDIENTES</a></li>
        <?php } if(in_array('a4', $_SESSION['login_user']['PRIVILEGIOS']) || in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) { ?>
        <li><a href="<?=URL_SITIO?>comunicaciones/logs" title="Ver logs del servidor" rel="shadowbox">VER LOGS</a></li>
        <?php } ?>
    </ul>
    <?php
    $url=$url_comunicaciones;
    if($estado)
        $url.="".$estado."/";
    else
        $url.="conexion/";
    ?>
    <div class="cb dt">
        Fecha y hora del servidor: <strong><?=date('d/m H:i', strtotime($time)); ?></strong>
        <form action="<?=$url_comunicaciones; ?>local/" class="sch"><a href="<?=URL_SITIO;?>" class="btn fa fa-arrow-left">Volver</a><input type="text" name="local" id="sch-local" maxlength="3" placeholder="#Local" /><button class="fa fa-search"></button></form>
    </div>
    <?php
    switch ($estado)
    {
        case 'paquetes':
            $ref_g='paquetes con menos de '.getDiferenciaHoras(RANGE_PPC_DATA_1);
            $ref_y='paquetes con más de '.getDiferenciaHoras(RANGE_PPC_DATA_1)." y menos de ".getDiferenciaHoras(RANGE_PPC_DATA_2);
            $ref_r='paquetes con más de '.getDiferenciaHoras(RANGE_PPC_DATA_2);
            break;
        case 'pendientes':
            $ref_g='sin paquetes pendientes';
            $ref_y='con más de '.RANGE_PENDIENTES_1.' y menos de '.RANGE_PENDIENTES_2.' paquetes pendientes';
            $ref_r='con más de '.RANGE_PENDIENTES_2.' paquetes pendientes';
            break;
        default:
            $ref_g='conexiones con menos de '.getDiferenciaHoras(RANGE_PPC_1);
            $ref_y='conexiones con más de '.getDiferenciaHoras(RANGE_PPC_1)." y menos de ".getDiferenciaHoras(RANGE_PPC_2);
            $ref_r='conexiones con más de '.getDiferenciaHoras(RANGE_PPC_2);
            break;
    }
    ?>
    <div class="cb flt"><span>Filtros:</span><a href="<?=$url_comunicaciones.($estado?''.$estado:'')?>"><em class="a"></em>Todos</a> <a href="<?=$url?>1"><em class="g"></em><?=$ref_g?></a> <a href="<?=$url?>2"><em class="y"></em><?=$ref_y?></a> <a href="<?=$url?>3"><em class="r"></em><?=$ref_r?></a></div>
    <div class="cb"></div>
<?php
if(isset($flag_local) && $flag_local) {
    if($local) {
?>
    <ul id="local">
        <li><label>LOCAL:</label><span><?=$local['LOCAL']." (".$local['NUMERO_LOCAL'].")";?></span></li>
        <li><label>Última conexión:</label><span><em class="<?=getClassNivel($local['NIVEL_CX']);?>"></em> hace <?=getDiferenciaHoras($time, $local['IP_FECHA_INFORMADA'])?></span></li>
        <li><label>Último paquete:</label><span><em class="<?=getClassNivel($local['NIVEL_PQ']);?>"></em> hace <?=getDiferenciaHoras($time, $local['PAQUETE_FECHA'])?></span></li>
        <li><label>Paquetes pendientes:</label><span><?=$local['PAQUETES_PENDIENTES']?></span></li>
        <li><label>Tabla:</label><?=$local['TABLA']?></li>
    </ul>
<?php
    } else {
        echo "<p>No se encontró local</p>";
    }
} elseif($datos) {
    $conexion=false;
    $paquetes=false;
    
    $array_tabla=array();
    
    foreach($datos as $item)
    {
        if(!isset($array_tabla[$item['TABLA']])) $array_tabla[$item['TABLA']]=0;
        
        $array_tabla[$item['TABLA']]+=$item['PAQUETES_PENDIENTES'];
        
        if($nivel && $item['NIVEL']!=$nivel){
            continue;
        }
        
        $class=" class=\"".getClassNivel($item['NIVEL'])."\"";
?>
    <div class="ppc" rel="<strong><?=$item['LOCAL']?$item['LOCAL']:$item['NUMERO_LOCAL']?></strong> (<?=$item['IP_LOCAL']?>)<br />Última comunicación hace <?=getDiferenciaHoras($time, $item['IP_FECHA_INFORMADA'])?><br />Último paquete <?=getDiferenciaHoras($time, $item['PAQUETE_FECHA'])?><br />Paquetes pendientes: <?=$item['PAQUETES_PENDIENTES']?><br />Tabla: <?=$item['TABLA']?>">
        <em<?=$class;?>></em>
        <label><?=(trim($item['LOCAL']))?$item['LOCAL']:($item['NUMERO_LOCAL']?$item['NUMERO_LOCAL']:$item['COD_LOCAL'])?></label>
    </div>
<?php
    }
    
    if(in_array('admin', $_SESSION['login_user']['PRIVILEGIOS'])) {
        echo '<div class="cb"></div><ul id="tbl-pendientes">';
        echo '<li><label>TABLA</label><span>TOTAL PAQ.PENDIENTES</span></li>';
        foreach($array_tabla as $k=>$v)
        {
            echo '<li><label>'.$k.'</label><span>'.$v.'</span></li>';
        }
        echo '</ul>';
    }
}
?>
    <div class="tooltip-seg"></div>
    <div class="cb"></div>
</div>